var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

import { jsx as _jsx } from "react/jsx-runtime";

function ColorPickerOutlined(props) {
  return _jsx("svg", __assign({
    width: 48,
    height: 48,
    viewBox: "0 0 48 48",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props, {
    children: _jsx("path", {
      d: "M35.32 10.82L37.16 12.66L31.78 18.04L29.94 16.2L35.32 10.82V10.82ZM35.34 6C34.82 6 34.32 6.2 33.92 6.58L27.68 12.82L23.82 9L21 11.82L23.84 14.66L6 32.5V42H15.5L33.34 24.16L36.18 27L39 24.18L35.16 20.34L41.4 14.1C42.2 13.3 42.2 12.04 41.42 11.26L36.74 6.58C36.34 6.2 35.84 6 35.34 6V6ZM13.84 38L10 34.16L26.12 18.04L29.96 21.88L13.84 38Z",
      fill: "currentColor"
    }, void 0)
  }), void 0);
}

export var ReactComponent = ColorPickerOutlined;
export default ColorPickerOutlined;

